
Katello - Feature #23899

As a container image admin, I want option to expose some images without requiring login

06/12/2018 10:18 AM - Thomas McKay

Status: Closed   

Priority: Normal   

Assignee: Thomas McKay   

Category: Container   

Target version: Katello 3.8.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/Katello/katello/pull/745
Description

The crane registry at :5000 is completely unauthenticated. With the new v2 api all access is authenticated. Allow images to be pulled

without authentication.

Could be (depending on what is possible):

+ all images server wide

+ all images in a single org

+ all images in a lifecycle

+ all images in a content view

+ all images in a repository

+ s/wildcard/all/ ?

Associated revisions

Revision 672482a8 - 07/06/2018 01:39 PM - Thomas McKay

fixes #23899 - pull w/o authentication

History

#1 - 06/14/2018 03:53 PM - Thomas McKay

This seems reasonable to implement: The request header will have the repo being pulled which can simply be checked for permissions.

#2 - 06/15/2018 12:58 PM - The Foreman Bot

- Pull request https://github.com/Katello/katello/pull/7459 added

#3 - 06/18/2018 08:38 PM - The Foreman Bot

- Status changed from New to Ready For Testing

#4 - 07/06/2018 02:01 PM - Thomas McKay

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset katello|672482a87745838babeab553ec0adf842e9dcb81.
